PUT
/api/v2/referrals/programs/{programId}/geo-policyPUT /api/v2/referrals/programs/{programId}/geo-policy
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| programId (path) | string (uuid) | Yes |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| ExpectedRevision | unknown | Yes | |
| Enabled | boolean | Yes | |
| AllowedCountryCodes | array of string | Yes | |
| PendingExpiryDays | unknown | Yes | |
| DefaultLocale | string | Yes | |
| TermsVersion | unknown | Yes | |
| TermsByLocale | object | Yes | |
| ExcludedCountryCodes | array of string | No | |
| CountryBasis | string | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| VersionId | string (uuid) | Yes | |
| Revision | unknown | Yes | |
| Enabled | boolean | Yes | |
| AllowedCountryCodes | array of string | Yes | |
| PendingExpiryDays | unknown | Yes | |
| DefaultLocale | string | Yes | |
| TermsVersion | unknown | Yes | |
| TermsByLocale | object | Yes | |
| ExcludedCountryCodes | array of string | No | |
| CountryBasis | string | No | |
| PendingDeadlineBasis | string | No | |
| PendingDeadlineExplanation | string | No |
Example request
curl -X PUT "https://{base_url}/api/v2/referrals/programs/{programId}/geo-policy" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"ExpectedRevision":"…","Enabled":"…","AllowedCountryCodes":"…","PendingExpiryDays":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.